summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--lib/cmd/install.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 6c1e6ce..529382d 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -100,9 +100,10 @@ cmd_install_main()
if [ -d "${chroot}" ]; then
error 2 "$(get_msg 'cmd_install_chroot_dir_exists')" "${chroot}"
fi
- if ! mkdir -p "${chroot}/.prokit"; then
+ if ! mkdir -p "${chroot}/.prokit" "${chroot}/prokit"; then
error 2 "$(get_msg 'cmd_install_mkdir_chroot_fail')" "${chroot}"
fi
+ >"${chroot}/prokit/installing"
info "$(get_msg 'cmd_install_find_pkgs')"
cmd_install_find_pkgs "${mirror}" "${suite}" "${arch}" "${plat}" \
@@ -115,6 +116,8 @@ cmd_install_main()
else
profile_configure_system_foreign "${chroot}"
fi
+
+ rm "${chroot}/prokit/installing"
}
cmd_install_find_pkgs()